db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DERBY-6974) Deprecate support for building Derby under JDK 8
Date Sun, 12 Nov 2017 19:04:00 GMT

    [ https://issues.apache.org/jira/browse/DERBY-6974?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16248956#comment-16248956
] 

Rick Hillegas commented on DERBY-6974:
--------------------------------------

tools/ant/properties/defaultcompiler.properties still needs to be changed:

  min.version needs to be 1.9 rather than 1.8


> Deprecate support for building Derby under JDK 8
> ------------------------------------------------
>
>                 Key: DERBY-6974
>                 URL: https://issues.apache.org/jira/browse/DERBY-6974
>             Project: Derby
>          Issue Type: Task
>          Components: Build tools
>    Affects Versions: 10.15.0.0
>            Reporter: Rick Hillegas
>            Assignee: Rick Hillegas
>         Attachments: derby-6974-01-aa-deprecateJDK8.diff, derby-6974-01-ab-deprecateJDK8.diff
>
>
> In July, the Derby community voted to deprecate support for JDK 8 and move development
on the 10.15 trunk to JDK 9. See http://apache-database.10148.n7.nabble.com/RESULT-VOTE-Sunsetting-support-for-Java-8-td147735.html
> This issue tracks the work of converting the Derby build from JDK 8 to JDK 9 and higher.
This effort relies on the work already done on DERBY-6856.
> Platform-specific distributions of Oracle JDK 9 can be found here: http://www.oracle.com/technetwork/java/javase/downloads/jdk9-downloads-3848520.html



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message